XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

dpms.h
1 /*
2 * This file generated automatically from dpms.xml by c_client.py.
3 * Edit at your peril.
4 */
5
12 #ifndef __DPMS_H
13 #define __DPMS_H
14
15 #include "xcb.h"
16
17 #ifdef __cplusplus
18 extern "C" {
19 #endif
20
21 #define XCB_DPMS_MAJOR_VERSION 0
22 #define XCB_DPMS_MINOR_VERSION 0
23
24 extern xcb_extension_t xcb_dpms_id;
25
29 typedef struct xcb_dpms_get_version_cookie_t {
30 unsigned int sequence;
31 } xcb_dpms_get_version_cookie_t;
32
34 #define XCB_DPMS_GET_VERSION 0
35
39 typedef struct xcb_dpms_get_version_request_t {
40 uint8_t major_opcode;
41 uint8_t minor_opcode;
42 uint16_t length;
43 uint16_t client_major_version;
44 uint16_t client_minor_version;
45 } xcb_dpms_get_version_request_t;
46
50 typedef struct xcb_dpms_get_version_reply_t {
51 uint8_t response_type;
52 uint8_t pad0;
53 uint16_t sequence;
54 uint32_t length;
55 uint16_t server_major_version;
56 uint16_t server_minor_version;
57 } xcb_dpms_get_version_reply_t;
58
62 typedef struct xcb_dpms_capable_cookie_t {
63 unsigned int sequence;
64 } xcb_dpms_capable_cookie_t;
65
67 #define XCB_DPMS_CAPABLE 1
68
72 typedef struct xcb_dpms_capable_request_t {
73 uint8_t major_opcode;
74 uint8_t minor_opcode;
75 uint16_t length;
76 } xcb_dpms_capable_request_t;
77
81 typedef struct xcb_dpms_capable_reply_t {
82 uint8_t response_type;
83 uint8_t pad0;
84 uint16_t sequence;
85 uint32_t length;
86 uint8_t capable;
87 uint8_t pad1[23];
88 } xcb_dpms_capable_reply_t;
89
93 typedef struct xcb_dpms_get_timeouts_cookie_t {
94 unsigned int sequence;
95 } xcb_dpms_get_timeouts_cookie_t;
96
98 #define XCB_DPMS_GET_TIMEOUTS 2
99
103 typedef struct xcb_dpms_get_timeouts_request_t {
104 uint8_t major_opcode;
105 uint8_t minor_opcode;
106 uint16_t length;
107 } xcb_dpms_get_timeouts_request_t;
108
112 typedef struct xcb_dpms_get_timeouts_reply_t {
113 uint8_t response_type;
114 uint8_t pad0;
115 uint16_t sequence;
116 uint32_t length;
117 uint16_t standby_timeout;
118 uint16_t suspend_timeout;
119 uint16_t off_timeout;
120 uint8_t pad1[18];
121 } xcb_dpms_get_timeouts_reply_t;
122
124 #define XCB_DPMS_SET_TIMEOUTS 3
125
129 typedef struct xcb_dpms_set_timeouts_request_t {
130 uint8_t major_opcode;
131 uint8_t minor_opcode;
132 uint16_t length;
133 uint16_t standby_timeout;
134 uint16_t suspend_timeout;
135 uint16_t off_timeout;
136 } xcb_dpms_set_timeouts_request_t;
137
139 #define XCB_DPMS_ENABLE 4
140
144 typedef struct xcb_dpms_enable_request_t {
145 uint8_t major_opcode;
146 uint8_t minor_opcode;
147 uint16_t length;
148 } xcb_dpms_enable_request_t;
149
151 #define XCB_DPMS_DISABLE 5
152
156 typedef struct xcb_dpms_disable_request_t {
157 uint8_t major_opcode;
158 uint8_t minor_opcode;
159 uint16_t length;
160 } xcb_dpms_disable_request_t;
161
162 typedef enum xcb_dpms_dpms_mode_t {
163 XCB_DPMS_DPMS_MODE_ON,
164 XCB_DPMS_DPMS_MODE_STANDBY,
165 XCB_DPMS_DPMS_MODE_SUSPEND,
166 XCB_DPMS_DPMS_MODE_OFF
167 } xcb_dpms_dpms_mode_t;
168
170 #define XCB_DPMS_FORCE_LEVEL 6
171
175 typedef struct xcb_dpms_force_level_request_t {
176 uint8_t major_opcode;
177 uint8_t minor_opcode;
178 uint16_t length;
179 uint16_t power_level;
180 } xcb_dpms_force_level_request_t;
181
185 typedef struct xcb_dpms_info_cookie_t {
186 unsigned int sequence;
187 } xcb_dpms_info_cookie_t;
188
190 #define XCB_DPMS_INFO 7
191
195 typedef struct xcb_dpms_info_request_t {
196 uint8_t major_opcode;
197 uint8_t minor_opcode;
198 uint16_t length;
199 } xcb_dpms_info_request_t;
200
204 typedef struct xcb_dpms_info_reply_t {
205 uint8_t response_type;
206 uint8_t pad0;
207 uint16_t sequence;
208 uint32_t length;
209 uint16_t power_level;
210 uint8_t state;
211 uint8_t pad1[21];
212 } xcb_dpms_info_reply_t;
213
223 /*****************************************************************************
224 **
225 ** xcb_dpms_get_version_cookie_t xcb_dpms_get_version
226 **
227 ** @param xcb_connection_t *c
228 ** @param uint16_t client_major_version
229 ** @param uint16_t client_minor_version
230 ** @returns xcb_dpms_get_version_cookie_t
231 **
232 *****************************************************************************/
233
234 xcb_dpms_get_version_cookie_t
235 xcb_dpms_get_version (xcb_connection_t *c ,
236 uint16_t client_major_version ,
237 uint16_t client_minor_version );
238
251 /*****************************************************************************
252 **
253 ** xcb_dpms_get_version_cookie_t xcb_dpms_get_version_unchecked
254 **
255 ** @param xcb_connection_t *c
256 ** @param uint16_t client_major_version
257 ** @param uint16_t client_minor_version
258 ** @returns xcb_dpms_get_version_cookie_t
259 **
260 *****************************************************************************/
261
262 xcb_dpms_get_version_cookie_t
263 xcb_dpms_get_version_unchecked (xcb_connection_t *c ,
264 uint16_t client_major_version ,
265 uint16_t client_minor_version );
266
282 /*****************************************************************************
283 **
284 ** xcb_dpms_get_version_reply_t * xcb_dpms_get_version_reply
285 **
286 ** @param xcb_connection_t *c
287 ** @param xcb_dpms_get_version_cookie_t cookie
288 ** @param xcb_generic_error_t **e
289 ** @returns xcb_dpms_get_version_reply_t *
290 **
291 *****************************************************************************/
292
293 xcb_dpms_get_version_reply_t *
294 xcb_dpms_get_version_reply (xcb_connection_t *c ,
295 xcb_dpms_get_version_cookie_t cookie ,
296 xcb_generic_error_t **e );
297
307 /*****************************************************************************
308 **
309 ** xcb_dpms_capable_cookie_t xcb_dpms_capable
310 **
311 ** @param xcb_connection_t *c
312 ** @returns xcb_dpms_capable_cookie_t
313 **
314 *****************************************************************************/
315
316 xcb_dpms_capable_cookie_t
317 xcb_dpms_capable (xcb_connection_t *c );
318
331 /*****************************************************************************
332 **
333 ** xcb_dpms_capable_cookie_t xcb_dpms_capable_unchecked
334 **
335 ** @param xcb_connection_t *c
336 ** @returns xcb_dpms_capable_cookie_t
337 **
338 *****************************************************************************/
339
340 xcb_dpms_capable_cookie_t
341 xcb_dpms_capable_unchecked (xcb_connection_t *c );
342
358 /*****************************************************************************
359 **
360 ** xcb_dpms_capable_reply_t * xcb_dpms_capable_reply
361 **
362 ** @param xcb_connection_t *c
363 ** @param xcb_dpms_capable_cookie_t cookie
364 ** @param xcb_generic_error_t **e
365 ** @returns xcb_dpms_capable_reply_t *
366 **
367 *****************************************************************************/
368
369 xcb_dpms_capable_reply_t *
370 xcb_dpms_capable_reply (xcb_connection_t *c ,
371 xcb_dpms_capable_cookie_t cookie ,
372 xcb_generic_error_t **e );
373
383 /*****************************************************************************
384 **
385 ** xcb_dpms_get_timeouts_cookie_t xcb_dpms_get_timeouts
386 **
387 ** @param xcb_connection_t *c
388 ** @returns xcb_dpms_get_timeouts_cookie_t
389 **
390 *****************************************************************************/
391
392 xcb_dpms_get_timeouts_cookie_t
393 xcb_dpms_get_timeouts (xcb_connection_t *c );
394
407 /*****************************************************************************
408 **
409 ** xcb_dpms_get_timeouts_cookie_t xcb_dpms_get_timeouts_unchecked
410 **
411 ** @param xcb_connection_t *c
412 ** @returns xcb_dpms_get_timeouts_cookie_t
413 **
414 *****************************************************************************/
415
416 xcb_dpms_get_timeouts_cookie_t
417 xcb_dpms_get_timeouts_unchecked (xcb_connection_t *c );
418
434 /*****************************************************************************
435 **
436 ** xcb_dpms_get_timeouts_reply_t * xcb_dpms_get_timeouts_reply
437 **
438 ** @param xcb_connection_t *c
439 ** @param xcb_dpms_get_timeouts_cookie_t cookie
440 ** @param xcb_generic_error_t **e
441 ** @returns xcb_dpms_get_timeouts_reply_t *
442 **
443 *****************************************************************************/
444
445 xcb_dpms_get_timeouts_reply_t *
446 xcb_dpms_get_timeouts_reply (xcb_connection_t *c ,
447 xcb_dpms_get_timeouts_cookie_t cookie ,
448 xcb_generic_error_t **e );
449
462 /*****************************************************************************
463 **
464 ** xcb_void_cookie_t xcb_dpms_set_timeouts_checked
465 **
466 ** @param xcb_connection_t *c
467 ** @param uint16_t standby_timeout
468 ** @param uint16_t suspend_timeout
469 ** @param uint16_t off_timeout
470 ** @returns xcb_void_cookie_t
471 **
472 *****************************************************************************/
473
474 xcb_void_cookie_t
475 xcb_dpms_set_timeouts_checked (xcb_connection_t *c ,
476 uint16_t standby_timeout ,
477 uint16_t suspend_timeout ,
478 uint16_t off_timeout );
479
489 /*****************************************************************************
490 **
491 ** xcb_void_cookie_t xcb_dpms_set_timeouts
492 **
493 ** @param xcb_connection_t *c
494 ** @param uint16_t standby_timeout
495 ** @param uint16_t suspend_timeout
496 ** @param uint16_t off_timeout
497 ** @returns xcb_void_cookie_t
498 **
499 *****************************************************************************/
500
501 xcb_void_cookie_t
502 xcb_dpms_set_timeouts (xcb_connection_t *c ,
503 uint16_t standby_timeout ,
504 uint16_t suspend_timeout ,
505 uint16_t off_timeout );
506
519 /*****************************************************************************
520 **
521 ** xcb_void_cookie_t xcb_dpms_enable_checked
522 **
523 ** @param xcb_connection_t *c
524 ** @returns xcb_void_cookie_t
525 **
526 *****************************************************************************/
527
528 xcb_void_cookie_t
529 xcb_dpms_enable_checked (xcb_connection_t *c );
530
540 /*****************************************************************************
541 **
542 ** xcb_void_cookie_t xcb_dpms_enable
543 **
544 ** @param xcb_connection_t *c
545 ** @returns xcb_void_cookie_t
546 **
547 *****************************************************************************/
548
549 xcb_void_cookie_t
550 xcb_dpms_enable (xcb_connection_t *c );
551
564 /*****************************************************************************
565 **
566 ** xcb_void_cookie_t xcb_dpms_disable_checked
567 **
568 ** @param xcb_connection_t *c
569 ** @returns xcb_void_cookie_t
570 **
571 *****************************************************************************/
572
573 xcb_void_cookie_t
574 xcb_dpms_disable_checked (xcb_connection_t *c );
575
585 /*****************************************************************************
586 **
587 ** xcb_void_cookie_t xcb_dpms_disable
588 **
589 ** @param xcb_connection_t *c
590 ** @returns xcb_void_cookie_t
591 **
592 *****************************************************************************/
593
594 xcb_void_cookie_t
595 xcb_dpms_disable (xcb_connection_t *c );
596
609 /*****************************************************************************
610 **
611 ** xcb_void_cookie_t xcb_dpms_force_level_checked
612 **
613 ** @param xcb_connection_t *c
614 ** @param uint16_t power_level
615 ** @returns xcb_void_cookie_t
616 **
617 *****************************************************************************/
618
619 xcb_void_cookie_t
620 xcb_dpms_force_level_checked (xcb_connection_t *c ,
621 uint16_t power_level );
622
632 /*****************************************************************************
633 **
634 ** xcb_void_cookie_t xcb_dpms_force_level
635 **
636 ** @param xcb_connection_t *c
637 ** @param uint16_t power_level
638 ** @returns xcb_void_cookie_t
639 **
640 *****************************************************************************/
641
642 xcb_void_cookie_t
643 xcb_dpms_force_level (xcb_connection_t *c ,
644 uint16_t power_level );
645
655 /*****************************************************************************
656 **
657 ** xcb_dpms_info_cookie_t xcb_dpms_info
658 **
659 ** @param xcb_connection_t *c
660 ** @returns xcb_dpms_info_cookie_t
661 **
662 *****************************************************************************/
663
664 xcb_dpms_info_cookie_t
665 xcb_dpms_info (xcb_connection_t *c );
666
679 /*****************************************************************************
680 **
681 ** xcb_dpms_info_cookie_t xcb_dpms_info_unchecked
682 **
683 ** @param xcb_connection_t *c
684 ** @returns xcb_dpms_info_cookie_t
685 **
686 *****************************************************************************/
687
688 xcb_dpms_info_cookie_t
689 xcb_dpms_info_unchecked (xcb_connection_t *c );
690
706 /*****************************************************************************
707 **
708 ** xcb_dpms_info_reply_t * xcb_dpms_info_reply
709 **
710 ** @param xcb_connection_t *c
711 ** @param xcb_dpms_info_cookie_t cookie
712 ** @param xcb_generic_error_t **e
713 ** @returns xcb_dpms_info_reply_t *
714 **
715 *****************************************************************************/
716
717 xcb_dpms_info_reply_t *
718 xcb_dpms_info_reply (xcb_connection_t *c ,
719 xcb_dpms_info_cookie_t cookie ,
720 xcb_generic_error_t **e );
721
722
723 #ifdef __cplusplus
724 }
725 #endif
726
727 #endif
728